Subject: Re: [GIT PULL] xen-netfront driver updates for 2.6.36

From: Jeremy Fitzhardinge <[email-masked]>
Date: Tue, 03 Aug 2010 17:49:46 -0700

On 08/03/2010 04:37 PM, David Miller wrote:
> From: Jeremy Fitzhardinge<[email-masked]>
> Date: Tue, 03 Aug 2010 11:39:45 -0700
>
>> Here's a git branch with some updates to the Xen netfront driver,
>> which add a new "smartpoll" mode to the netfront backend protocol,
>> which is basically equivalent to interrupt mitigation.  This merges
>> cleanly with current linux-next (it previously just had a small
>> constification conflict).
>>
>> Do you want to take this via the net tree, or are you OK with me
>> submitting them directly?
> Well from my perspective:
>
> 1) It's too late to put into my tree because the merge window has
>     already started.  If you want me to include this you should have
>     asked me to pull it in days if not weeks ago.

OK, there's no particular rush.

> 2) Your tree is absolutely not in a state I can pull it.  It has lots
>     of completely unrelated commits which are not in net-next-2.6 which
>     in no way should I be pulling into my tree.

It's based on v2.6.35.  I can rebase to net-next-2.6.

> When you want me to take changes, your tree should be based upon mine.
> And when I pull from your tree I should get only your specific
> xen-netfront driver changes, and nothing more.

Sure.

Thanks,
     J